Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.util
Class JRQueryExecuterAdapter.ShallowJRObjectFactory

    java.lang.Object
      net.sf.jasperreports.engine.JRAbstractObjectFactory
          net.sf.jasperreports.engine.base.JRBaseObjectFactory
              com.jaspersoft.jasperserver.api.engine.jasperreports.util.JRQueryExecuterAdapter.ShallowJRObjectFactory

All Implemented Interfaces:
  net.sf.jasperreports.engine.JRVisitor

Enclosing class:
  JRQueryExecuterAdapter

    protected static class JRQueryExecuterAdapter.ShallowJRObjectFactory

extends net.sf.jasperreports.engine.base.JRBaseObjectFactory

Constructor Summary
`protected` | `JRQueryExecuterAdapter.ShallowJRObjectFactory(net.sf.jasperreports.engine.JRDefaultStyleProvider defaultStyleProvider)`

Method Summary
`net.sf.jasperreports.engine.JRExpression` | `getExpression(net.sf.jasperreports.engine.JRExpression expression)`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseObjectFactory
`getAreaPlot, getBand, getBar3DPlot, getBarPlot, getBubblePlot, getCandlestickPlot, getCategoryDataset, getCategorySeries, getCell, getChartAxis, getConditionalStyle, getCrosstabBucket, getCrosstabCell, getCrosstabColumnGroup, getCrosstabDataset, getCrosstabMeasure, getCrosstabParameter, getCrosstabRowGroup, getDataset, getDatasetParameter, getDatasetRun, getDefaultStyleProvider, getExpression, getExpressionChunk, getField, getGroup, getHighLowDataset, getHighLowPlot, getHyperlink, getHyperlinkParameter, getLinePlot, getMeterPlot, getMultiAxisPlot, getParameter, getPie3DPlot, getPieDataset, getPiePlot, getQuery, getQueryChunk, getReportFont, getReportTemplate, getScatterPlot, getSortField, getStyle, getSubreportParameter, getSubreportReturnValue, getThermometerPlot, getTimePeriodDataset, getTimePeriodSeries, getTimeSeries, getTimeSeriesDataset, getTimeSeriesPlot, getValueDataset, getVariable, getXyDataset, getXySeries, getXyzDataset, getXyzSeries, handleStyleNameReference, setStyle, visitBreak, visitChart, visitCrosstab, visitElementGroup, visitEllipse, visitFrame, visitImage, visitLine, visitRectangle, visitStaticText, visitSubreport, visitTextField`

Methods inherited from class net.sf.jasperreports.engine.JRAbstractObjectFactory
`get, getVisitResult, put, setVisitResult`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRQueryExecuterAdapter.ShallowJRObjectFactory

    protected JRQueryExecuterAdapter.ShallowJRObjectFactory(net.sf.jasperreports.engine.JRDefaultStyleProvider defaultStyleProvider)

Method Detail

### getExpression

    public net.sf.jasperreports.engine.JRExpression getExpression(net.sf.jasperreports.engine.JRExpression expression)

  Overrides:
    `getExpression` in class `net.sf.jasperreports.engine.JRAbstractObjectFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.